#
# spec file for package gcstar
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gcstar
Version:        1.7.1
Release:        2.3
Summary:        Application to manage collections
License:        GPL-2.0
Group:          Productivity/Office/Management
Url:            http://www.gcstar.org/
Source0:        http://download.gna.org/gcstar/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE gcstar-fix-desktop.patch vuntz@opensuse.org -- Fix desktop file for openSUSE
Patch0:         gcstar-fix-desktop.patch
BuildRequires:  fdupes
BuildRequires:  perl
BuildRequires:  perl-libwww-perl
BuildRequires:  perl(Crypt::SSLeay)
BuildRequires:  perl(Gtk2) >= 1.054
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Simple)
# We need the %%mime_database_* macros
BuildRequires:  shared-mime-info
BuildRequires:  update-desktop-files
Requires:       perl
Requires:       perl-libwww-perl
Requires:       perl(Crypt::SSLeay)
Requires:       perl(Gtk2) >= 1.054
Requires:       perl(HTML::Parser)
Requires:       perl(XML::Parser)
Requires:       perl(XML::Simple)
Recommends:     perl(Archive::Zip)
Recommends:     perl(GD)
Recommends:     perl(GD::Graph::area)
Recommends:     perl(GD::Graph::bars)
Recommends:     perl(GD::Graph::pie)
Recommends:     perl(GD::Text)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
GCstar is a free open source application for managing collections of
movies, books, music, etc. Detailed information on each item can be
automatically retrieved from the internet and you can store additional
data, such as the location or who you've lent it to. You may also
search and filter your collection by many criteria.

%prep
%setup -q -n %{name}
%patch0 -p1

%build

%install
./install --prefix=%{buildroot}%{_prefix}/
for icon in share/gcstar/icons/gcstar_*.png; do
  size=`echo $icon | sed 's,.*gcstar_,,;s,\.png,,'`
  # Only install sizes that exist in hicolor
  if test -d %{_datadir}/icons/hicolor/$size/apps; then
    install -D -m644 $icon %{buildroot}%{_datadir}/icons/hicolor/$size/apps/gcstar.png
  fi
  if test -d %{_datadir}/icons/hicolor/$size/mimetypes; then
    install -D -m644 $icon %{buildroot}%{_datadir}/icons/hicolor/$size/mimetypes/application-x-gcstar.png
  fi
done
install -D -m644 share/gcstar/icons/gcstar_scalable.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/gcstar.svg
install -D -m644 share/gcstar/icons/gcstar_scalable.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-gcstar.svg
mkdir -p %{buildroot}%{_mandir}/man1/
mv %{buildroot}%{_prefix}/man/man1/gcstar.1.gz %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_datadir}/mime/packages
install -m 644 share/applications/gcstar.xml %{buildroot}%{_datadir}/mime/packages
mkdir -p %{buildroot}%{_datadir}/applications
%suse_update_desktop_file -i gcstar Database
%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%post
%if 0%{?suse_version} > 1130
%desktop_database_post
%icon_theme_cache_post
%mime_database_post
%else
update-mime-database %{_datadir}/mime || true
%endif

%postun
%if 0%{?suse_version} > 1130
%desktop_database_postun
%icon_theme_cache_postun
%mime_database_postun
%else
update-mime-database %{_datadir}/mime || true
%endif

%files
%defattr(-,root,root)
%{_bindir}/gcstar
%{_libexecdir}/gcstar/
%{_datadir}/applications/gcstar.desktop
%{_datadir}/gcstar/
%{_datadir}/icons/hicolor/*/apps/gcstar.*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-gcstar.*
%{_datadir}/mime/packages/gcstar.xml
%{_mandir}/man1/gcstar.1.*

%changelog
* Thu Jun 30 2016 zaitor@opensuse.org
- Update to version 1.7.1:
  + New features:
  - When generating statistics, they can be grouped per dates.
  - Export to GCstar Viewer generates a collection that loads
    faster in image mode (requires GCstar Viewer 2.10 or above).
  + User interface changes:
  - Display totals for numeric fields when the list is displayed
    in detailed mode.
  + Bugs fixed:
  - User added fields were not shown in the panel below the list.
  - When exporting to HTML, it was sometimes not possible to
    select fields with the templates that support that.
  - Bugs fixed in some website plugins: Bedetheque, GameSpot,
    IMDb, jeuxvideo.com, jeuxvideo.fr, MobyGames.
  + Updated translations.
- Rebase gcstar-fix-desktop.patch.
* Sun Sep 16 2012 zaitor@opensuse.org
- Update to version 1.7.0:
  + User interface changes:
  - All the settings for the current type of list can be changed
    directly below the list.
  - It's now possible to define default values for the fields
    when adding a new item to a collection.
  - New menu to show/hide menu, tool and status bars.
  - Slight animations have been added in image mode.
  - A popup is displayed in image mode to show a summary of the
    item.
  + Bugs fixed:
  - When saving an item which date is the current one.
  - The list of saved searches in toolbar was not reset when
    displaying all collection items.
  - Ranges were not handled correctly when searching.
  - With collections of video games, the units field was not
    hidden if user chose to hide file size.
  - In image mode, some items were not displayed correctly when
    grouping.
  - Fixed some website plugins.
  + Updated translations.
- Drop hack to kill backupfiles previously found in tarball. Fixed
  upstream.
* Mon Oct  3 2011 vuntz@opensuse.org
- Add explicit shared-mime-info BuildRequires since we use the
  %%mime_database_* macros.
* Thu Jul 21 2011 vuntz@opensuse.org
- Drop perl(Switch) BuildRequires and Requires, as its usage was
  removed.
- Add perl() Recommends for optional features: Archive::Zip, GD,
  GD::Graph::area, GD::Graph::bars, GD::Graph::pie, GD::Text.
* Fri Jul 15 2011 malcolmlewis@opensuse.org
- Update to version 1.6.2:
  + Option added for sorting items while in image views.
  + Amazon book plugins now use the Amazon Web Service, for more
    reliable plugin operation.
  + New plugin for batch importing with a barcode scanner. It can
    be used with GCstar Scanner for Android or any barcode scanner
    acting like a keyboard.
  + Film collection: Country field is now a list box, allowing
    multiple countries.
  + New plugins to fetch information from websites:
  - Books: Douban (ZH) provided by BW.
  - Movies: Douban (ZH) provided by BW.
  - Music: Douban (ZH) provided by BW.
  + Various bug fixes:
  - Set focus to the title field automatically after adding an
    item.
  - Correctly handle foreign characters in external filenames
    under Windows.
  - Correctly sort numeric fields used for grouping in image
    lists.
  - It was not possible to delete a unique item in image mode.
  - Fixed bug with image caching.
  - HTTP return code 302 managed correctly.
  - Removed use of Switch.pm as it is deprecated.
  - Bug fixed in some website plugins: Alapage, Allocine,
    Bedetheque, Bol, Comic Book DB, CSFD.cz, IMDb,
    jeuxvideo.com, jeuxvideo.fr, Moby Games, The Movie DB.
- Update spec file License field from GPLv2 to GPL-2.0 to
  conform with spdx.org identifier.
* Tue May 31 2011 vuntz@opensuse.org
- Add perl(Switch) BuildRequires and Requires, as the Switch module
  got split out of the main perl package.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
  + %%mime_database_post/postun because the package ships a mime
    type definition.
- Remove shared-mime-info Requires: if it's not there, then we
  simply don't need to update the mime database.
* Thu Sep  2 2010 vuntz@opensuse.org
- Improve summary.
- Do not ship a modified version of gcstar.desktop. Instead, add
  gcstar-fix-desktop.patch to fix the desktop file the way we want.
- Manually install gcstar icon to hicolor, and also install it as
  the icon for the application/x-gcstar mime type. This means we
  don't need to call xdg-icon-resource in %%post (which is bad since
  it creates files).
- Use update-mime-database in %%post and %%postun. This means we
  don't need to call xdg-mime in %%post.
- Add shared-mime-info Requires(post) and Requires(postun).
- Remove xdg-utils BuildRequires and Requires(post).
- Add calls to %%icon_theme_cache_post and %%icon_theme_cache_postun.
* Fri Aug 27 2010 badshah400@gmail.com
- Update to version 1.6.1:
  + New features:
  - CSV plugin now allows you to select which field to use to
    search for internet results
  - Graphs generated from statistics are smoothed, to eliminate
    sharp lines
  + Default collections changes:
  - New default collections:
    . TV shows (series) collection model. Useful for tracking dvd
    collections of tv shows.
    . Computer Software collection
    . Video games collection: New fields: Region, Serial Number.
  + New plugins to fetch information from websites:
  - TV shows (series):
    . Thetvdb
    . Themoviedb
  + Bugs fixed:
  - Removal of more than 9 items from a collection at a time
  - Crash when trying to create a cached image from a missing
    picture, or when image does not exist
  - Some characters were incorrectly encoded in read only views
  - Add option in collection read only views for fields to
    "collapse" and hide when they have no content
  - Fixed problem at startup when some items were hidden in the
    toolbar.
  - The "View modules" menu was not working anymore.
  - Add play toolbar button for tv episodes collections.
  - Item window was not properly re-constructed after changing
    collections.
  - Dependency on Sort::Naturally removed.
  - Date::Calc module was not shown as an optional dependency
    while it is needed for statistics.
- Change perl-* dependencies to perl(*).
- Remove perl(Sort:Naturally) BuildRequires and Requires: it is no
  longer required.
- Change Name in .desktop entry to GCstar from "GCstar Collections
  Manager" (to avoid duplication with generic name)
* Thu Aug 19 2010 badshah400@gmail.com
- modify spec file to fix RPMLINT warning
- remove gtk2 from requires and buildrequires (should be
  automatically) pulled in by perl-gtk2
- add requires xdg-utils for %%post scriptlets
- corrected version tag to GPLv2 in spec file
* Wed Aug 18 2010 badshah400@gmail.com
- Include man files corectly
- Use custom .desktop file (inherited from upstream) to conform
  to openSUSE guidelines
* Sun Aug 15 2010 badshah400@gmail.com
- Use upstream provided .desktop and .xml files
* Sat Aug 14 2010 badshah400@gmail.com
- spec file cleanup
* Sat Aug  7 2010 badshah400@gmail.com
- Updated to upstream version 1.6.0
* Mon Aug  2 2010 badshah400@gmail.com
- Initial package following openSUSE Packaging Guidelines
